GNU bug report logs - #60900
[PATCH 04/25] gnu: Add go-github-com-jba-printsrc.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; Keywords: patch; merged with #60898, #60899, #60901, #60902, #60903, #60904, #60905, #60906, #60907, #60908, #60909, #60910, #60911, #60912, #60913, #60914, #60915, #60916, #60917, #60918, #60919, #60920, #60921, #60922; dated Wed, 18 Jan 2023 01:46:03 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Katherine Cox-Buday <cox.katherine.e@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2023 01:45:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 20:45:25 2023
Received: from localhost ([127.0.0.1]:38593 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHxW1-0007TX-Gb
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:25 -0500
Received: from lists.gnu.org ([209.51.188.17]:60106)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1pHxVv-0007SK-EY
 for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:23 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxVu-00021Q-4o
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:18 -0500
Received: from mail-il1-x133.google.com ([2607:f8b0:4864:20::133])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxVs-0006wh-Dk
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:17 -0500
Received: by mail-il1-x133.google.com with SMTP id d10so16365566ilc.12
 for <guix-patches@HIDDEN>; Tue, 17 Jan 2023 17:45:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=mLJ043IpdrY94kF7C+cKpdBuecpSJ3UE/Vzzb3uYX6g=;
 b=nBkx19zxOJWbwoGqv0o0RtdTYLTLqWFqOsROCjkXoUOQ04tWFoNPBaDAfePcz6KdYz
 sSRO4eIDTNT7UTChuz+iqjcQoriPzsUdxbkEnTY54MS9vUPxegGzDLY1OTjcNkIIqddE
 o8E9gan1SjH22kO1Czl+FAl/fCqP77lyj5Lvn/7WmubmLKGbpVpilDS1s7n1qYx+v+Gw
 YN70md9fAHI+JneY56xHH0E4yw2BEqflKUaLSlxa+MVqlYDQxog9I2Hv4kXUIt/PdgRV
 0GKGW2+TCiJgAKs+f2n9J46DCt+SL1n9WX8T7km0G024R9kGQV5EKMb2b9Bl3zGPnKjM
 jkNw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=mLJ043IpdrY94kF7C+cKpdBuecpSJ3UE/Vzzb3uYX6g=;
 b=J7U5dOspzqkJjJZOtes6rcEGFJuwSuzJ6/vAkHwY0Fn+bOYWSsvuA78h3NHkDkECuS
 BkAMUtz/Et7Wpi9GVFOoR5ztQUHQ4HYQcu1Oz6Sv3XVyauoUOs2OlMJaLt0kaDZJ8A/J
 TuZAYAWPWz11qxp4V5WyPCPA0iry4JD35P7927/4NDDaD7iNLI2Wj0+jT86j+X6CibY4
 dqLX4G969K3jtgmq0OS+nvVyNV48ziSKx6sFbwfSCnZghqBUKYM49mtTBFAsZ12WNcAB
 qVkJnZf+A6/BFe+le0HjeorIjdLpXP5tBu5hGXa+va56HTY/5ZYYq6bZzitMF0GLkX5+
 xMrg==
X-Gm-Message-State: AFqh2kqDkyjhRuAOwnhBQRtQYh2gei3F6ECr4TUxTqeR8ct93lAvCQ4B
 LtwPjqc7Y4RJFblroPXf5tNB+NLjUeI=
X-Google-Smtp-Source: AMrXdXsrdiRh064WCgDpCIWXxR3vwiolg8RY/Cd00Xvc6CHKhQ3Q4aSSMW8iXLPorYTO4dfjeL+XdQ==
X-Received: by 2002:a05:6e02:1d82:b0:30c:41:558 with SMTP id
 h2-20020a056e021d8200b0030c00410558mr5080730ila.18.1674006314803; 
 Tue, 17 Jan 2023 17:45:14 -0800 (PST)
Received: from washu-v4.home.cox-buday.com
 (c-174-51-139-101.hsd1.co.comcast.net. [174.51.139.101])
 by smtp.gmail.com with ESMTPSA id
 p32-20020a056638192000b0039e89ea68f9sm7889250jal.135.2023.01.17.17.45.14
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Jan 2023 17:45:14 -0800 (PST)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 04/25] gnu: Add go-github-com-jba-printsrc.
Date: Tue, 17 Jan 2023 18:44:49 -0700
Message-Id: <20230118014510.19320-5-cox.katherine.e@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
References: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::133;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-il1-x133.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/golang.scm (go-github-com-jba-printsrc): New variable.
---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 861640435e..677d58d831 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -8515,6 +8515,32 @@ (define-public go-github-com-go-git-go-billy
 file system operations.")
     (license license:asl2.0)))
 
+(define-public go-github-com-jba-printsrc
+  (package
+    (name "go-github-com-jba-printsrc")
+    (version "0.2.2")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/jba/printsrc")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1gyy3kmb5a5i710wkv3b7ah7i7sz5sdc7v3sab5m4rxch1sd2fpj"))))
+    (build-system go-build-system)
+    (arguments
+     '(#:import-path "github.com/jba/printsrc"
+       ;; TODO: Open bug; expecting time.Local, but when local=UTC, we get time.UTC
+       #:tests? #f))
+    (home-page "https://github.com/jba/printsrc")
+    (synopsis "Prints Go values as sourcecode")
+    (description
+     "Package printsrc prints Go values as Go source.  It strives to render
+legal Go source code, and returns an error when detects that it cannot.")
+    ;; MIT
+    (license license:expat)))
+
 (define-public go-github-com-jbenet-go-context
   (let ((commit "d14ea06fba99483203c19d92cfcd13ebe73135f4")
         (revision "1"))
-- 
2.38.1





Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60900; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Jan 2023 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.